Organizations API
Remove a member
Remove a member and their project assignments in this organization. Cannot remove the owner or yourself. Only org_owner can remove org_admin members. Requires an interactive browser session. Project-scoped CLI tokens receive 403.
DELETE
sessionCookiecookie
better-auth.session_token<token>Interactive Better Auth browser session. Secure deployments may use the __Secure- cookie prefix.
memberId*stringUser ID of the organization member
Member removed
application/json- response
success?booleanmessage?stringdata?curl -X DELETE 'https://demo.supercheck.dev/api/organizations/members/string'Example Response
{ "success": true, "message": "string", "data": { "memberId": "string", "removedRole": "string" }}